### Method

# Goa Object get_password_based

since: 3.6.0

#### Declaration [src]

    GoaPasswordBased*
    goa_object_get_password_based (
      GoaObject* object
    )

#### Description [src]

Gets the `GoaPasswordBased` instance for the D-Bus interface org.gnome.OnlineAccounts.PasswordBased on `object`, if any.

Available since: 3.6.0

Gets property | `Goa.Object:password-based`

#### Return value

Type: `GoaPasswordBased`

A `GoaPasswordBased` that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.